class crashplan::configure (
  String $server_port = $crashplan::params::server_port,
  String $auth_guid = $crashplan::params::auth_guid,
) inherits crashplan::params {
  file {'/var/lib/crashplan':
    ensure => directory,
    owner => root,
    group => root,
    mode => '0755',
  }

  file {'/var/lib/crashplan/.ui_info':
    ensure => present,
    owner => root,
    group => root,
    mode => '0644',
    content => template('crashplan/ui_info.erb'),
    require => File['/var/lib/crashplan'],
  }
}
